> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://uploadcare.com/docs/llms.txt.

### Document conversion info, November 7, 2023

`GET /convert/document/{uuid}/` allows you to determine the document format and possible conversion formats.

Learn more about [Document conversion](/docs/transformations/file-conversion/).

### Multipage conversion, September 20, 2023

Added `save_in_group` parameter to allow `POST /convert/document/` to convert a multi-page document into a group of files.

Learn more about [Multipage conversion](/docs/transformations/file-conversion/#multipage-conversion).

### Webhook updates, July 7, 2023

Added a field `initiator` in webhook payload for all events. It contains a "link" to the entity that initiated the webhook and metadata related to the event.

Added new webhook events:

* `file.info_updated`: file's `metadata` or `appdata` has been altered.
* `file.deleted`: a file has been removed.
* `file.stored`: a file has been stored.

Learn more about [Webhook events](/docs/webhooks/#event-types).

### File metadata, September 8, 2022

File metadata is introduced. [File metadata Upload API](https://uploadcare.com/docs/api/upload/) provides an option to specify a file's metadata during the file uploading procedure. [File metadata REST API](https://uploadcare.com/docs/api/rest/file-metadata/) provides the ability to update the file's metadata.

| Endpoint                               | Description                                                                                                                     |
| -------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| `GET /files/{uuid}/metadata/`          | Get file's metadata keys and values                                                                                             |
| `GET /files/{uuid}/metadata/{key}/`    | Get the value of a single metadata key                                                                                          |
| `PUT /files/{uuid}/metadata/{key}/`    | Update the value of a single metadata key. If the key does not exist, it will be created                                        |
| `DELETE /files/{uuid}/metadata/{key}/` | Delete a file's metadata key                                                                                                    |
| `GET /files/{uuid}/`                   | Field `metadata` that includes arbitrary [metadata](https://uploadcare.com/docs/api/rest/file-metadata/) associated with a file |

Learn more about [File metadata management](/docs/file-metadata/).

### Changes to previous API version (*released on 15 Aug 2022*)

| Endpoint                                                                | Description                                                                                                                                                                                                   |
| ----------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `GET /files/{uuid}/`                                                    | File information doesn't return `image_info` and `video_info` fields anymore                                                                                                                                  |
| `GET /files/{uuid}/`                                                    | Added mime-type, image (dimensions, format, etc), video information (duration, format, bitrate, etc), audio information, etc. to `content_info` field                                                         |
| `GET /files/{uuid}/`                                                    | Associated field `appdata` that includes [dictionary of application names and data](/docs/api/rest/file/info/#response.body.appdata) with these applications                                                  |
| `GET /files/{uuid}/`                                                    | Removed `rekognition_info` in favor of `appdata`                                                                                                                                                              |
| `GET /files/{uuid}/`                                                    | Renamed Parameter `add_fields` to `include`                                                                                                                                                                   |
| `DELETE /files/{uuid}/`                                                 | Removed in favour of `/files/{uuid}/storage/`                                                                                                                                                                 |
| `GET /files/`                                                           | Remove the option of sorting the file list by file size                                                                                                                                                       |
| `PUT /group/{uuid}/storage/`                                            | Removed. To store or remove files from a group, query the list of files in it, split the list into chunks of 100 files per chunk and then perform batch file storing or batch file removal for all the chunks |
| `DELETE /group/{uuid}/`                                                 | Added a possibility to delete a Group. Note: when we delete a group, we remove information about the group object itself, the files from the group are left intact                                            |
| `POST /addons/uc_clamav_virus_scan/execute/`                            | Introduced ClamAV Add-On: perform virus scan on a target file                                                                                                                                                 |
| `GET /addons/uc_clamav_virus_scan/execute/status/`                      | Check ClamAV Add-On execution status                                                                                                                                                                          |
| `POST /addons/aws_rekognition_detect_labels /execute/`                  | Introduced AWS Rekognition Add-On: detect labels on a target image and save results in the file's application data                                                                                            |
| `GET /addons/aws_rekognition_detect_labels /execute/status/`            | Check AWS Rekognition Add-On execution status                                                                                                                                                                 |
| `POST /addons/aws_rekognition_detect_ moderation_labels/execute/`       | Introduced AWS Rekognition moderation Add-On: detect labels on a target image and save results in the file's application data                                                                                 |
| `GET /addons/aws_rekognition_detect_ moderation_labels/execute/status/` | Check AWS Rekognition moderation Add-On execution status                                                                                                                                                      |
| `POST /addons/remove_bg/execute/`                                       | Introduced RemoveBG Add-On                                                                                                                                                                                    |
| `GET /addons/remove_bg/execute/status/`                                 | Check RemoveBG Add-On execution status and get `file_id` with an UUID of the file with removed background                                                                                                     |